Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface ConnectorConnectionRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface ConnectorConnectionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring individual WebLogic Connector connections

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `delete()` Provides a way to manually close a connection through the console.
`int` | `getActiveHandlesCurrentCount()` The current total active connection handles for this connection.
`int` | `getActiveHandlesHighCount()` The high water mark of active connection handles for this connection since the connection was created.
`String` | `getConnectionFactoryClassName()` Returns the connection factory class name.
`long` | `getCreationDurationTime()` Return the time taken to create the connection.
`String` | `getEISProductName()` Returns the EISProductName associated with the ManagedConnection's MetaData
`String` | `getEISProductVersion()` Returns the EISProductVersion associated with the ManagedConnection's MetaData.
`int` | `getHandlesCreatedTotalCount()` The total number of connection handles created for this connection since the connection was created.
`long` | `getLastUsage()` Deprecated.
`String` | `getLastUsageString()` Deprecated.
`String` | `getManagedConnectionFactoryClassName()` Returns the managed connection factory class name.
`String` | `getMaxConnections()` Returns the MaxConnections associated with the ManagedConnection's MetaData
`long` | `getReserveDurationTime()` Get the time taken to reserve this connection.
`long` | `getReserveTime()` Return the last time the connection was reserved.
`String` | `getStackTrace()` Deprecated.
`String` | `getTransactionId()` Get the Transaction ID of the transaction that this connection is being used with.
`String` | `getUserName()` Returns the UserName associated with the ManagedConnection's MetaData
`boolean` | `hasError()` Return a flag indicating whether the connection has an error or not.
`boolean` | `isCurrentlyInUse()` Indicates whether the connection is currently in use.
`boolean` | `isDeletable()` Indicates whether the connection can be closed manually through the console.
`boolean` | `isIdle()` Deprecated.
`boolean` | `isInTransaction()` Indicates whether the connection is currently in use in a transaction.
`boolean` | `isShared()` Indicates whether the connection is currently being shared by more than one invoker.
`boolean` | `testConnection()` Test the connection.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### delete

    public void delete()
                throws weblogic.management.ManagementException

  Provides a way to manually close a connection through the console.

  Throws:
    `weblogic.management.ManagementException`

### getActiveHandlesCurrentCount

    public int getActiveHandlesCurrentCount()

  The current total active connection handles for this connection.

  Returns:
    The activeHandlesCurrentCount value

### getActiveHandlesHighCount

    public int getActiveHandlesHighCount()

  The high water mark of active connection handles for this connection since the connection was created.

  Returns:
    The activeHandlesHighCount value

### getConnectionFactoryClassName

    public String getConnectionFactoryClassName()

  Returns the connection factory class name.

  Returns:
    The ConnectionFactoryClassName

### getCreationDurationTime

    public long getCreationDurationTime()

  Return the time taken to create the connection.

  Returns:
    long

### getEISProductName

    public String getEISProductName()

  Returns the EISProductName associated with the ManagedConnection's MetaData

  Returns:
    The productName value

### getEISProductVersion

    public String getEISProductVersion()

  Returns the EISProductVersion associated with the ManagedConnection's MetaData.

  Returns:
    The productVersion value

### getHandlesCreatedTotalCount

    public int getHandlesCreatedTotalCount()

  The total number of connection handles created for this connection since the connection was created.

  Returns:
    The handlesCreatedTotalCount value

### getLastUsage

    public long getLastUsage()

  Deprecated.

  The last usage time stamp for the connection in milliseconds, as returned by `System.currentTimeMillis()`.

  Returns:
    The lastUsage value

### getLastUsageString

    public String getLastUsageString()

  Deprecated.

  The last usage time stamp for the connection as a string.

  Returns:
    The lastUsageString value

### getManagedConnectionFactoryClassName

    public String getManagedConnectionFactoryClassName()

  Returns the managed connection factory class name.

  Returns:
    The ManagedConnectionFactoryClassName

### getMaxConnections

    public String getMaxConnections()

  Returns the MaxConnections associated with the ManagedConnection's MetaData

  Returns:
    The maxConnections value

### getReserveDurationTime

    public long getReserveDurationTime()

  Get the time taken to reserve this connection.

  Returns:
    long

### getReserveTime

    public long getReserveTime()

  Return the last time the connection was reserved.

  Returns:
    long

### getStackTrace

    public String getStackTrace()

  Deprecated.

  The stack trace for the current connection, which will be blank unless connection-profiling-enabled is set to true in weblogic-ra.xml

  Returns:
    The stackTrace value

### getTransactionId

    public String getTransactionId()

  Get the Transaction ID of the transaction that this connection is being used with.

  Returns:
    String

### getUserName

    public String getUserName()

  Returns the UserName associated with the ManagedConnection's MetaData

  Returns:
    The UserName value

### hasError

    public boolean hasError()

  Return a flag indicating whether the connection has an error or not. A "true" is returned if there is an error.

  Returns:
    boolean

### isCurrentlyInUse

    public boolean isCurrentlyInUse()

  Indicates whether the connection is currently in use.

  Returns:
    The currentlyInUse value

### isDeletable

    public boolean isDeletable()

  Indicates whether the connection can be closed manually through the console.

  Returns:
    The deletable value

### isIdle

    public boolean isIdle()

  Deprecated.

  Indicates whether the connection has been idle for a period extending beyond the configured maximum.

  Returns:
    The idle value

### isInTransaction

    public boolean isInTransaction()

  Indicates whether the connection is currently in use in a transaction.

  Returns:
    The inTransaction value

### isShared

    public boolean isShared()

  Indicates whether the connection is currently being shared by more than one invoker.

  Returns:
    The shared value

### testConnection

    public boolean testConnection()

  Test the connection. Returns true if the test was successful.

  Returns:
    boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD